<?php

/**
 *--------------------------------------
 * 获取$_GET,$_POST的数据
 *--------------------------------------
 * @project		: pfa
 * @author		: cblee
 * @created		: 2012-9-23
 * @copyright	: (c)2012 AsThis
 *--------------------------------------
 */

class ARequest
{

	/* 获取键为$key的 $_GET 和 $_POST 传送方式的数据 */
	public static function get($key = null, $type = null)
	{
		if(is_null($key))
		{
			return $_REQUEST;
		}
		if(is_null($type))
		{
			if(isset($_GET[$key]))
			{
				return $_GET[$key];
			}
			elseif(isset($_POST[$key]))
			{
				return $_POST[$key];
			}
			return '';
		}
		elseif('get' == $type && isset($_GET[$key]))
		{
			return $_GET[$key];
		}
		elseif('post' == $type && isset($_POST[$key]))
		{
			return $_POST[$key];
		}
		return '';
	}

	/* 设置键为$key 的$_GET 或者 $_POST 的变量值 */
	public static function set($key, $value, $type = 'get')
	{
		if('get' == $type)
		{
			$_GET[$key] = $value;
		}
		elseif('post' == $type)
		{
			$_POST[$key] = $value;
		}
	}

	/* 构造函数私有化 */
	private function __construct(){}
}

?>